Search by BIN

get
/api/v3/cardbin/{bin}/find
lts

This endpoint allows you to get detailed information about the bank card based on the BIN number. Returns a specified 6 or 8 significant BIN number of the card, brand data, card type, risk segment level and other parameters

Header parameters
Attribute
Requirement
Description
x-public-key
mandatory
a public key that identifies the merchant account (there can be several for one merchant)
x-buyer-ip
mandatory
is responsible for information about the buyer's IP address
x-date
mandatory
is responsible for the date and time of sending the request
x-token
mandatory
generated on the merchant side
x-source
mandatory
pass the value shop
x-id
mandatory
merchant name
Request parameters
Attribute
Type
Requirement
Description
Standard
bin
string
mandatory
BIN number of the card to search
8 digits
Response parameters
Attribute
Type
Description
data
object
Contains card information
meta
object
Provides metadata about the response
{
  "data": {
    "riskSegments": {
      "all": "white",
      "autocharge": "white",
      "initial": "white",
      "oneclick": "white"
    },
    "cardType": "CREDIT",
    "cardLevel": "CLASSIC",
    "isoCountryName": "United Kingdom",
    "isoATwo": "GB",
    "bin": "424242",
    "brand": "VISA",
    "issuer": "STRIPE PAYMENTS UK LTD"
  },
  "meta": {
    "type": "entity"
  }
}
Errors and interpretation

The list of possible errors for this endpoint, along with their types and interpretation, is provided in the general reference: Endpoint response errors.